/* days of the week */
#define SUNDAY 0
#define MONDAY 1
#define TUESDAY 2
#define WEDNESDAY 3
#define THURSDAY 4
#define FRIDAY 5
#define SATURDAY 6

/* maximum length of name string */
#define MAXNAMELENGTH 80

/* the main form */

#define MainForm 1000
/* fields */
#define MainTime 1100
/* table stuff */
#define MainTable 1200
#define MainScroll 1201
/* buttons */
#define MainNew 1300
#define MainSortName 1301
#define MainSortRemaining 1302
/* menus */
#define MainCategoryList 1400
#define MainCategoryTrigger 1401
#define MainMenu 1500
#define MainHelp 1501
#define MainAbout 1502
/* clock field */
#define MainClock 1600

/* About form */
#define AboutForm 2000

/* buttons */
#define AboutOK 2100
#define AboutLic 2101

/* the place edit form */

#define PlaceForm 3000
/* category popup */
#define PlaceCategoryList 3050
#define PlaceCategoryTrigger 3051
/* the triggers */
#define PlaceSunTimeTrigger 3100
#define PlaceMonTimeTrigger 3100+MONDAY
#define PlaceTueTimeTrigger 3100+TUESDAY
#define PlaceWedTimeTrigger 3100+WEDNESDAY
#define PlaceThuTimeTrigger 3100+THURSDAY
#define PlaceFriTimeTrigger 3100+FRIDAY
#define PlaceSatTimeTrigger 3100+SATURDAY
#define PlaceSunExceptTrigger 3120
#define PlaceMonExceptTrigger 3120+MONDAY
#define PlaceTueExceptTrigger 3120+TUESDAY
#define PlaceWedExceptTrigger 3120+WEDNESDAY
#define PlaceThuExceptTrigger 3120+THURSDAY
#define PlaceFriExceptTrigger 3120+FRIDAY
#define PlaceSatExceptTrigger 3120+SATURDAY
#define PlaceSunMidnightButton 3150
#define PlaceMonMidnightButton 3150+MONDAY
#define PlaceTueMidnightButton 3150+TUESDAY
#define PlaceWedMidnightButton 3150+WEDNESDAY
#define PlaceThuMidnightButton 3150+THURSDAY
#define PlaceFriMidnightButton 3150+FRIDAY
#define PlaceSatMidnightButton 3150+SATURDAY
/* the text field */
#define PlaceName 3200
/* buttons */
#define PlaceDone 3300
#define PlaceDelete 3301
#define Place24Hr 3302
/* menus */
#define PlaceMenu 3400
#define PlaceHelp 3401
#define PlaceCut 3402
#define PlaceCopy 3403
#define PlacePaste 3404
#define PlaceLookup 3405

/* Alerts */
#define InternalError 8000
#define MemoryError 8001
#define DBError 8002
#define AppInfoError 8003
#define ConfirmDelete 8004
#define FailedDelete 8005
#define FailedQuery 8006
#define DBFailUpgrade 8007

/* strings resources & bitmaps */
#define About 9000
#define Instructions 9001
#define Bitmap 9100
#define CategoryRsrc 9200
#define EditCatStr 9300
#define MainHelpMenu 9301
#define PlaceHelpMenu 9302
#define SundayStr 9303
#define MondayStr 9304
#define TuesdayStr 9305
#define WednesdayStr 9306
#define ThursdayStr 9307
#define FridayStr 9308
#define SaturdayStr 9309
#define FindTitle 9310
#define OPENBITMAP 9400
#define CLOSEDBITMAP 9401
#define PASTMIDBITMAP 9402 /* shows past midnight */
